---
lang: en
title: 'API docs: repository.orclause'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.repository.orclause.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/repository](./repository.md) &gt; [OrClause](./repository.orclause.md)

## OrClause interface

Or clause

<b>Signature:</b>

```typescript
export interface OrClause<MT extends object> 
```

## Properties

|  Property | Type | Description |
|  --- | --- | --- |
|  [or](./repository.orclause.or.md) | <code>Where&lt;MT&gt;[]</code> |  |

## Example


```ts
{
  or: [...],
}

```


